Icaunux - Le Forum

Forum de l'Association ICAUNUX

Vous n'êtes pas identifié(e).

Annonce

Les Inscriptions au forum sont temporairement désactivées en attendant de trouver une solution efficace contre les inscriptions fictives très nombreuses ces derniers temps. Si vous souhaitez vous inscrire sur le forum, merci d'envoyer une demande par mail à l'adresse contact@icaunux.org. Désolé de cette gène occasionnée.

#1 11-03-2020 20:23:01

wanica
Membre
Inscription : 13-11-2008
Messages : 1 833

snapd

Message erreur lub 16.04

Receiving the error: snapd.snap-repair.service is a disabled or a static unit, not starting it

https://askubuntu.com/questions/1037431 … tic-unit-n

Une des pistes pour aider, mais l' utilisateur avait interrompu la maj ( 18.04)
sudo fuser -vki /var/lib/dpkg/lock
sudo apt purge snapd
sudo dpkg --configure -a
sudo apt update
sudo apt upgrade
sudo apt dist-upgrade
sudo apt install snapd

C'est quoi snapd ? C'est là:

https://doc.ubuntu-fr.org/snap

Avec le format snap, pour recevoir des nouvelles versions de logiciels, les utilisateurs n'auront plus à mettre en jeu la stabilité de leur système par l'ajout de dépôts personnels (PPA). Ils pourront récupérer un paquet .snap distribué par l'éditeur via le gestionnaire de paquets Snappy. L'application s'exécute ensuite de manière isolée, ce qui accroît la stabilité et la sécurité du système. Le paquet .snap inclut l'application et peut contenir aussi ses dépendances ; en contrepartie d'un paquet plus lourd, ceux-ci peuvent donc faire cohabiter plusieurs versions de mêmes dépendances au sein d'un même système Linux et en facilite la distribution en ligne et hors ligne.

Les paquets .snap ne remplacent pas les paquets .deb classiques

Si on n' a pas de paquet snap, il est logique sans doute d' avoir les messages d' erreurs signalés en début de ce post.

Hors ligne

Pied de page des forums